> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Customer Profile

> Updates the user profile.



## OpenAPI

````yaml PUT /usermanagement/profile-edit
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /usermanagement/profile-edit:
    put:
      summary: Edit Profile
      description: Updates the user profile.
      operationId: editProfile
      parameters:
        - $ref: '#/components/parameters/platformHeader'
        - $ref: '#/components/parameters/uuidHeader'
        - in: header
          name: X-Auth-Token
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                firstName:
                  type: string
                lastName:
                  type: string
                phone:
                  type: string
                dob:
                  type: string
                nationality:
                  type: string
                customerGender:
                  type: string
                address:
                  type: object
                  properties:
                    address1:
                      type: string
                    address2:
                      type: string
                    city:
                      type: string
                    countryCommonName:
                      type: string
                    postcode:
                      type: string
                    countryIso3:
                      type: string
                    state:
                      type: string
      responses:
        '200':
          description: Profile updated
components:
  parameters:
    platformHeader:
      in: header
      name: platform
      schema:
        type: string
        default: fincode
      required: true
    uuidHeader:
      in: header
      name: uuid
      schema:
        type: string
        default: '200'
      required: true

````